#pragma once
#include "..\..\DuiLib\UIlib.h"
#include "DuiDefine.h"
#include "EmbeddedDUIInMFCWindow.h"

class IWorkGroupButtonsCallBack;
class CWorkGroupButtons : public EmbeddedDUIInMFCWindow
{
	DUI_DECLARE_MESSAGE_MAP()
public:

	enum BUTTONS
	{
		All = 0,
		Add,
		Chat,
		Memo
	};

	CWorkGroupButtons(CWnd* pParent, IWorkGroupButtonsCallBack* pCallBack);
	virtual ~CWorkGroupButtons(void);

	LPCTSTR GetWindowClassName() const;
	void OnPrepare(TNotifyUI& msg);
	void SetClientRect(CRect rc);
	void LoadSkin();
	void SetButtonReadOnly(bool bReadOnly, BUTTONS button);
	virtual CDuiString GetSkinFile();
	virtual CDuiString GetSkinFolder();
	virtual void OnFinalMessage(HWND hWnd);
	virtual CControlUI* CreateControl(LPCTSTR pstrClass);
	LRESULT OnNcHitTest( UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled );
private:
	void _OnNotifyBtnAddClick( TNotifyUI& msg );
	void _OnNotifyBtnChatClick( TNotifyUI& msg );
	void _OnNotifyBtnMemoClick( TNotifyUI& msg );

	CButtonUI* m_pBtnAdd;
	CButtonUI* m_pBtnChat;
	CButtonUI* m_pBtnMemo;
	
	IWorkGroupButtonsCallBack* m_pCallBack;
};

class IWorkGroupButtonsCallBack
{
public:
	virtual void OnButtonClicked(CWorkGroupButtons::BUTTONS button) = 0;
	virtual ~IWorkGroupButtonsCallBack(){}
};
